curl --request POST \
--url https://api.blaxel.ai/v0/pending-image-shares/{pendingShareId}/accept \
--header 'Authorization: Bearer <token>'{
"metadata": {
"createdAt": "<string>",
"displayName": "<string>",
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
],
"lastDeployedAt": "<string>",
"name": "<string>",
"resourceType": "<string>",
"sourceWorkspace": "<string>",
"status": "DELETING",
"updatedAt": "<string>",
"workspace": "<string>"
},
"spec": {
"size": 123,
"tags": [
{
"createdAt": "<string>",
"name": "<string>",
"size": 123,
"updatedAt": "<string>"
}
]
}
}Accepts a pending cross-account image share and copies the image metadata to the target workspace. Caller must be an admin of the target workspace.
curl --request POST \
--url https://api.blaxel.ai/v0/pending-image-shares/{pendingShareId}/accept \
--header 'Authorization: Bearer <token>'{
"metadata": {
"createdAt": "<string>",
"displayName": "<string>",
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
],
"lastDeployedAt": "<string>",
"name": "<string>",
"resourceType": "<string>",
"sourceWorkspace": "<string>",
"status": "DELETING",
"updatedAt": "<string>",
"workspace": "<string>"
},
"spec": {
"size": 123,
"tags": [
{
"createdAt": "<string>",
"name": "<string>",
"size": 123,
"updatedAt": "<string>"
}
]
}
}OAuth2 authentication with JWT tokens
ID of the pending image share
When true, overwrite conflicting tags in the target workspace instead of returning 409.
Was this page helpful?